Package jnr.constants.platform.darwin

# Enum LangInfo

java.lang.Object
java.lang.Enum<LangInfo>
jnr.constants.platform.darwin.LangInfo

All Implemented Interfaces:
  `Serializable`, `Comparable<LangInfo>`, `java.lang.constant.Constable`, `Constant`

public enum LangInfo extends Enum<LangInfo> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABDAY_1`
`ABDAY_2`
`ABDAY_3`
`ABDAY_4`
`ABDAY_5`
`ABDAY_6`
`ABDAY_7`
`ABMON_1`
`ABMON_10`
`ABMON_11`
`ABMON_12`
`ABMON_2`
`ABMON_3`
`ABMON_4`
`ABMON_5`
`ABMON_6`
`ABMON_7`
`ABMON_8`
`ABMON_9`
`CODESET`
`CRNCYSTR`
`D_FMT`
`D_T_FMT`
`DAY_1`
`DAY_2`
`DAY_3`
`DAY_4`
`DAY_5`
`DAY_6`
`DAY_7`
`MON_1`
`MON_10`
`MON_11`
`MON_12`
`MON_2`
`MON_3`
`MON_4`
`MON_5`
`MON_6`
`MON_7`
`MON_8`
`MON_9`
`NOEXPR`
`RADIXCHAR`
`T_FMT`
`THOUSEP`
`YESEXPR`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static LangInfo`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LangInfo[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### CODESET

public static final LangInfo CODESET

### D_T_FMT

public static final LangInfo D_T_FMT

### D_FMT

public static final LangInfo D_FMT

### T_FMT

public static final LangInfo T_FMT

### DAY_1

public static final LangInfo DAY_1

### DAY_2

public static final LangInfo DAY_2

### DAY_3

public static final LangInfo DAY_3

### DAY_4

public static final LangInfo DAY_4

### DAY_5

public static final LangInfo DAY_5

### DAY_6

public static final LangInfo DAY_6

### DAY_7

public static final LangInfo DAY_7

### ABDAY_1

public static final LangInfo ABDAY_1

### ABDAY_2

public static final LangInfo ABDAY_2

### ABDAY_3

public static final LangInfo ABDAY_3

### ABDAY_4

public static final LangInfo ABDAY_4

### ABDAY_5

public static final LangInfo ABDAY_5

### ABDAY_6

public static final LangInfo ABDAY_6

### ABDAY_7

public static final LangInfo ABDAY_7

### MON_1

public static final LangInfo MON_1

### MON_2

public static final LangInfo MON_2

### MON_3

public static final LangInfo MON_3

### MON_4

public static final LangInfo MON_4

### MON_5

public static final LangInfo MON_5

### MON_6

public static final LangInfo MON_6

### MON_7

public static final LangInfo MON_7

### MON_8

public static final LangInfo MON_8

### MON_9

public static final LangInfo MON_9

### MON_10

public static final LangInfo MON_10

### MON_11

public static final LangInfo MON_11

### MON_12

public static final LangInfo MON_12

### ABMON_1

public static final LangInfo ABMON_1

### ABMON_2

public static final LangInfo ABMON_2

### ABMON_3

public static final LangInfo ABMON_3

### ABMON_4

public static final LangInfo ABMON_4

### ABMON_5

public static final LangInfo ABMON_5

### ABMON_6

public static final LangInfo ABMON_6

### ABMON_7

public static final LangInfo ABMON_7

### ABMON_8

public static final LangInfo ABMON_8

### ABMON_9

public static final LangInfo ABMON_9

### ABMON_10

public static final LangInfo ABMON_10

### ABMON_11

public static final LangInfo ABMON_11

### ABMON_12

public static final LangInfo ABMON_12

### RADIXCHAR

public static final LangInfo RADIXCHAR

### THOUSEP

public static final LangInfo THOUSEP

### YESEXPR

public static final LangInfo YESEXPR

### NOEXPR

public static final LangInfo NOEXPR

### CRNCYSTR

public static final LangInfo CRNCYSTR

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static LangInfo[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static LangInfo valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<LangInfo>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`